Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.net
Class OCSPChecker

    java.lang.Object
      java.security.cert.PKIXCertPathChecker
          org.jivesoftware.openfire.net.OCSPChecker

All Implemented Interfaces:
  Cloneable

    public class OCSPChecker

extends PKIXCertPathChecker

A `PKIXCertPathChecker` that uses Online Certificate Status Protocol (OCSP) See RFC 2560.

Author:
  Jay Kline

Method Summary
`void` | `check(Certificate cert, Collection<String> unresolvedCritExts)`
`Set<String>` | `getSupportedExtensions()`
`void` | `init(boolean forward)`
`boolean` | `isForwardCheckingSupported()`

Methods inherited from class java.security.cert.PKIXCertPathChecker
`clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### init

    public void init(boolean forward)
              throws CertPathValidatorException

  Specified by:
    `init` in class `PKIXCertPathChecker`
  Throws:
    `CertPathValidatorException`

### isForwardCheckingSupported

    public boolean isForwardCheckingSupported()

  Specified by:
    `isForwardCheckingSupported` in class `PKIXCertPathChecker`

### getSupportedExtensions

    public Set<String> getSupportedExtensions()

  Specified by:
    `getSupportedExtensions` in class `PKIXCertPathChecker`

### check

    public void check(Certificate cert,
                      Collection<String> unresolvedCritExts)
               throws CertPathValidatorException

  Specified by:
    `check` in class `PKIXCertPathChecker`
  Throws:
    `CertPathValidatorException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.